import { VehicleType } from '@bringg/types';
import Session from '../Services/Identity/Session';
export default class VehicleTypeApi {
    private vehicleTypesEntity;
    constructor(session: Session);
    getAll(): Promise<VehicleType[]>;
    get(id: number): Promise<VehicleType>;
    create(vehicle_type: VehicleType): Promise<VehicleType>;
    update(id: number, vehicle_type: VehicleType): Promise<VehicleType>;
    delete(id: number): Promise<boolean>;
}
